> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get a single User



## OpenAPI

````yaml get /partner/v1/users/{id}/
openapi: 3.0.3
info:
  title: paywise Partner API
  version: v1
  description: |

    Use our API to create and manage companies & users.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/partner-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/partner-api/
paths:
  /partner/v1/users/{id}/:
    get:
      tags:
        - users
      summary: Get User
      description: Get a single User
      operationId: get-user
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserSerlializer'
              examples:
                GetUserResponseSample:
                  value:
                    href: >-
                      https://api.paywise.de/partner/v1/users/ab5fc850-7bb3-4c33-9741-d1305dfa41d9/
                    id: ab5fc850-7bb3-4c33-9741-d1305dfa41d9
                    email: max@mustermann.com
                    first_name: Max
                    last_name: Mustermann
                    company: 6196ba03-83f2-46ea-83e1-a087bd0c5acc
                    email_verified: true
                    notification_channels:
                      - channel_type: EMAIL
                        value: max@mustermann.com
                        notification_types:
                          - REQUESTS_TO_CLIENT
                          - STATUS_UPDATE
                          - STATEMENTS
                  summary: Get User Response Sample
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    UserSerlializer:
      type: object
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        email:
          type: string
          description: E-Mail des Benutzers
        first_name:
          type: string
          description: Vorname des Benutzers
        last_name:
          type: string
          description: Nachname des Benutzers
        company:
          type: string
          format: uuid
          description: UUID of the company that the user is going to be part of
        email_verified:
          type: boolean
          readOnly: true
        notification_channels:
          type: array
          items:
            $ref: '#/components/schemas/NotificationChannel'
          description: Notification settings for the user
      required:
        - company
        - email
        - email_verified
        - first_name
        - href
        - last_name
    NotificationChannel:
      type: object
      properties:
        channel_type:
          allOf:
            - $ref: '#/components/schemas/ChannelTypeEnum'
          description: >-
            Type of the communication channel to be used. Currently only
            supports email


            * `EMAIL` - E-Mail
        value:
          type: string
          description: Value of the communication channel (e.g. the email Address)
        notification_types:
          type: array
          items:
            $ref: '#/components/schemas/NotificationTypesEnum'
          nullable: true
      required:
        - channel_type
        - value
    ChannelTypeEnum:
      enum:
        - EMAIL
      type: string
      description: '* `EMAIL` - E-Mail'
    NotificationTypesEnum:
      enum:
        - STATUS_UPDATE
        - REQUESTS_TO_CLIENT
        - STATEMENTS
      type: string
      description: |-
        * `STATUS_UPDATE` - Status Updates
        * `REQUESTS_TO_CLIENT` - Rückfragen
        * `STATEMENTS` - Abrechnungen
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````